/*
 * Programmiersprache C.
 * Zuerst wollen wir ein Hello-World Beispiel schreiben und ausführen.
 * Dateien die in "C" geschrieben sind (Quelldateien / Source-Code), werden von einem C-Compiler
 * in Maschinensprache übersetzt und zu einer auf dem System ausführbaren Binärdatei umgewandelt.
 * Dieses Beispiel wird mit dem GNU-C-Compiler ein Programm erstellen:
 * gcc 0-hello-world.c -o 0-hello-world
 * Die Ausgabedatei wird mit -o hierbei auf 0-hello-world gesetzt.
 * Geben wir diese nicht an so wird normalerweise a.out erstellt.

 * Zunächst beschäftigen wir uns mit sehr einfachen Programmen, die nur aus einer Quell-Datei bestehen.
 * Nun zur Sprache:
 */

// Das ist ein einzeiliger Kommentar
/*
  Das ist ebenfalls ein Kommentar.
  Dieser kann sich über mehrere Zeilen hinweg erstrecken.
*/

// hier werden benötigte Funktionen "bekannt gemacht".
// In der Datei stdio.h sind die Funktionen "deklariert".
#include <stdio.h>

// Die Main-Funktion wird beim Starten des Programmes aufgerufen.
int main(){

  // Wir geben den String "Hello World" aus. \n Escaped das Newline => NeueZeile.
  printf("Hello World\n");

  // in C werden Anweisungen mit einem ";" Beendet.
  // eine Leere Anweisung:
  ;

  // jedes Programm gibt einen Status zurück, "0" bedeutet es wurde erfolgreich ausgeführt.
  return 0;
}