#include <stdio.h>

/*
 * Schleifen erlauben es Code mehrfach auszuführen.
 */

int main(){

  int i=0;

  // While Schleife, hier zählen wir i hoch.
  while(i < 5) // eine Bedingung steht in der Klammer:
	       // solange der Ausdruck "i < 5" wahr ist wird der Code Block ausgeführt:
  {
    printf("While %d\n", i);
    i = i + 1; // d.h. wir inkrementieren i.
  } // der Block {} kennzeichnet den Inhalt der Schleife.

  printf("Wert von i nach While ist %d\n", i);

  // do While Schleife, im Beispiel zählen wir rückwärts.
  do{
    printf("Do while %d\n", i);

    i--; // ist die Kurzform für i=i-1;
  }while(i > 0);


  // for Schleife, beeinhaltet Initalisierungs-Anweisung, Schleifenabbruchbedingung und
  // Anweisung die am Ende eines Schleifendurchgangs ausgeführt wird
  for(i=0; i < 5 ; i++){
    printf("For %d\n", i);
  }

  // einzelne Anweisungen können auch leer sein, hier erzeugen wir eine Endlosschleife:
  for(;;){
    printf("For ;;;\n");

    // mit break brechen wir das Durchlaufen einer Schleife ab:
    break;
    // dieser Code wird niemals ausgeführt, da wir die Schleife vorher abbrechen.
    printf("Dead code\n");
  }


  for(i = 0; i < 5; i++){
     printf("For %d\n", i);

     // mit continue wird dieser Schleifendurchlauf abgebrochen und wir starten den nächsten Durchlauf
     continue;
     printf("Dead code\n");
  }

  return 0;
}
