#include <stdio.h>
#include <stdlib.h>
#include <string.h>

// Dieses Programm soll die Anzahl der übergebenen Zeichen ermitteln.
// Ebenfalls werden wir noch die Standard-Eingabe einlesen ->
// Solange ein Programm läuft, so kann es eine Tasten-Eingabe vom Benutzer annehmen.

// die Parameter an ein Programm werden auch über Arrays übergeben, aber zweidimensionale!
int main(int argumentCount, char ** argumente){
  // Programm, dass die Zeichen die übergeben wurden zählt:

  // die Gesamtanzahl der Zeichen:
  int zeichenZahl = 0;

  for(int i=1; i < argumentCount ; i++){

    // solange wir nicht auf das Terminierende "0" kommen, geben wir es zeichenweise aus:
    for(int c=0; argumente[i][c] != 0 ; c++){
      printf("%c", argumente[i][c]);
      zeichenZahl++;
    }
  }
  printf("\n");

  // nun lesen wir noch interaktiv von der Std-Eingabe ein, bis der Benutzer eine leere Zeile eingibt.
  printf("Please enter additional strings interaktivly\n");
  char strin[201];
  while(scanf("%.200s", strin) > 0){
	printf("Input was: %s\n", strin);

	// mit der Funktion strlen können wir auch die Länge eines Strings ermitteln.
	zeichenZahl += strlen(strin);
	// wir setzen strin vorsichtshalber auf einen leeren String
	strin[0] = 0;
  }

  // Anmerkung: scanf ist eine Funktion der Standard-Bibliothek, aber
  // enthält mehrere Fallstricke, es lohnt sich Funktionen der Glib zu verwenden (siehe später).

  printf("%d Zeichen gesammt!\n", zeichenZahl);
}
