#include <stdio.h>


void testfunc(int var){
  printf("testfunc var is %d\n", var);
}


// die Funktion functionChooser gibt einen Zeiger auf eine Funktion zurück.
// selbst nimmt die Funktion functionChooser keinen Parameter
void (* functionChooser(void)) (int){
  return testfunc;
}

// schöner ist es mit typedef.
typedef void (* myIntFunction)(int);

// dank dem Typedef ist der Code viel leserlicher
myIntFunction functionChooser2(void){
  return testfunc;
}

int main(){
  void (*func)(int);
  func = functionChooser();
  func(5);

  // wir rufen eine Funktion auf um die Funktion zu bekommen, die wir direkt aufrufen:
  functionChooser2()(3);
}