#include <stdio.h>

// enthält weitere Deklarationen (für atoi)
#include <stdlib.h>

// Deklaration und Definition einer Funktion zugleich:
int fib(int zahl){
  // Abbruchkriterium, irgendwann muss die Rekursion gestoppt werden.
  if (zahl <= 1){
    return 1;
  }

  // rekursiver Aufruf der Funktion:
  return fib(zahl - 1) + fib(zahl - 2);
}

int main(int argumentCount, char ** argumente){
  for(int i=1; i < argumentCount ; i++){
    // wir wandeln / parsen die Zeichenkette in eine ganze Zahl
    // wenn keine Zahl in der Zeichenkette vorhanden ist, wird 0 zurückgegeben
    int val = atoi(argumente[i]);

    if (val >= 0) {
    	printf("Die Fibonacci Zahl von %d ist %d\n", val, fib(val) );
    } else {
    	printf("Die Fibonacci Zahl von %d ist nur für natürliche Zahlen definiert.\n", val);
    }

  }

  return 0;
}
